=== debian/watch ===
version=3
opts="pgpsigurlmangle=s/$/.asc/,uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/" \
  https://ftp.eggheads.org/pub/eggdrop/source/1.8/eggdrop-(.*)\.tar\.gz debian uupdate
