=== src/mod/uptime.mod/Makefile ===
--- 
+++ 
@@ -33,9 +33,7 @@
  ../../../src/eggdrop.h ../../../src/compat/in6.h ../../../src/flags.h \
  ../../../src/cmdt.h ../../../src/tclegg.h ../../../src/tclhash.h \
  ../../../src/chan.h ../../../src/users.h ../../../src/compat/compat.h \
- ../../../src/compat/inet_aton.h ../../../src/compat/snprintf.h \
- ../../../src/compat/strcasecmp.h ../../../src/compat/strftime.h \
- ../../../src/compat/inet_ntop.h ../../../src/compat/inet_pton.h \
- ../../../src/compat/gethostbyname2.h ../../../src/compat/strlcpy.h \
- .././uptime.mod/../modvals.h ../../../src/tandem.h \
- .././uptime.mod/../server.mod/server.h
+ ../../../src/compat/base64.h ../../../src/compat/inet_aton.h \
+ ../../../src/compat/snprintf.h ../../../src/compat/explicit_bzero.h \
+ ../../../src/compat/strlcpy.h .././uptime.mod/../modvals.h \
+ ../../../src/tandem.h .././uptime.mod/../server.mod/server.h
