=== debian/changelog ===
eggdrop (1.10.0-3) unstable; urgency=low

  * Rebuild HTML documentation
  * Hopefully, fix build on hurd

 -- Sébastien Noel <sebastien@twolife.be>  Wed, 25 Jun 2025 17:01:28 +0200

eggdrop (1.10.0-2) unstable; urgency=low

  * Fix build for "arch: any" packages alone.
  * Use prebuild html documentation until sphinx-substitution-extensions
    is out of the 'new queue'

 -- Sébastien Noel <sebastien@twolife.be>  Sat, 14 Jun 2025 09:57:11 +0200

eggdrop (1.10.0-1) unstable; urgency=low

  [Sébastien Noel]
  * Salvage package (Closes: #1100637)
  * New upstream version (Closes: #1023344)
    - d/patches/00conf_paths: updated
    - d/patches/01use_ldflags: updated
    - d/patches/04pthread: added
  * Assume UTF-8 encoding by default (Closes: #596641)
    - add d/patches/03utf8
  * Enable the new python module
    - add d/patches/05modpython
  * Update d/watch file to version 4
  * Update d/copyright
  * d/control:
    - Update to standards version 4.7.2
    - Use debhelper 13
    - Update Vcs-Git and Vcs-Browser fields
  * Fix ftbfs with GCC-15 (Closes: #1096569)
    - add d/patches/gcc15
  * Update lintian overrides
  * use Sphinx to rebuild HTML documentation
    - add sphinx to Build-Depends-Indep
    - add d/patches/sphinx-doc-install-fix

  [Debian Janitor]
  * Remove constraints unnecessary since buster (oldstable):
    + eggdrop-data: Drop versioned constraint on eggdrop in Replaces
    + eggdrop-data: Drop versioned constraint on eggdrop in Breaks
  * Trim trailing whitespace in d/changelog

 -- Sébastien Noel <sebastien@twolife.be>  Wed, 04 Jun 2025 17:34:40 +0200
