=== debian/control ===
--- 
+++ 
@@ -1,16 +1,23 @@
 Source: eggdrop
 Section: net
 Priority: optional
-Maintainer: Cédric Barboiron <ced@winkie.fr>
-Build-Depends: tcl8.6-dev, libz-dev, debhelper (>= 12), libssl-dev
-Standards-Version: 4.3.0
-Homepage: http://www.eggheads.org/
-Vcs-Git: https://github.com/yastupin/eggdrop-debian.git
-Vcs-Browser: https://github.com/yastupin/eggdrop-debian
+Maintainer: Sébastien Noel <sebastien@twolife.be>
+Rules-Requires-Root: no
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-sphinxdoc,
+               libssl-dev,
+               libz-dev,
+               python3-dev,
+               tcl8.6-dev
+Build-Depends-Indep: sphinx, python3-sphinx-substitution-extensions
+Standards-Version: 4.7.2
+Homepage: https://www.eggheads.org/
+Vcs-Git: https://salsa.debian.org/twolife/eggdrop.git
+Vcs-Browser: https://salsa.debian.org/twolife/eggdrop
 
 Package: eggdrop
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, eggdrop-data (= ${source:Version})
+Depends: eggdrop-data (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Advanced IRC Robot
  Eggdrop is an IRC bot written in C, which sits on channels and takes
  protective measures, such as preventing it from being taken over (in
@@ -26,9 +33,8 @@
 Package: eggdrop-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
-Breaks: eggdrop (<< 1.6.16-3)
-Replaces: eggdrop (<< 1.6.16-3)
+Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Built-Using: ${sphinxdoc:Built-Using}
 Description: Architecture independent files for eggdrop
  This package contains all the files that eggdrop places on /usr/share.
  These files are not specific to a single processor architecture once
