=== src/mod/channels.mod/Makefile ===
--- 
+++ 
@@ -33,11 +33,10 @@
  ../../../src/lang.h ../../../src/eggdrop.h ../../../src/compat/in6.h \
  ../../../src/flags.h ../../../src/cmdt.h ../../../src/tclegg.h \
  ../../../src/tclhash.h ../../../src/chan.h ../../../src/users.h \
- ../../../src/compat/compat.h ../../../src/compat/inet_aton.h \
- ../../../src/compat/snprintf.h ../../../src/compat/strcasecmp.h \
- ../../../src/compat/strftime.h ../../../src/compat/inet_ntop.h \
- ../../../src/compat/inet_pton.h ../../../src/compat/gethostbyname2.h \
- ../../../src/compat/strlcpy.h ../../../src/mod/modvals.h \
- ../../../src/tandem.h .././channels.mod/channels.h \
- .././channels.mod/cmdschan.c .././channels.mod/tclchan.c \
- .././channels.mod/userchan.c .././channels.mod/udefchan.c
+ ../../../src/compat/compat.h ../../../src/compat/base64.h \
+ ../../../src/compat/inet_aton.h ../../../src/compat/snprintf.h \
+ ../../../src/compat/explicit_bzero.h ../../../src/compat/strlcpy.h \
+ ../../../src/mod/modvals.h ../../../src/tandem.h \
+ .././channels.mod/channels.h .././channels.mod/cmdschan.c \
+ .././channels.mod/tclchan.c .././channels.mod/userchan.c \
+ .././channels.mod/udefchan.c
