=== debian/changelog ===
eggdrop (1.10.1-1) unstable; urgency=low

  * New upstream version

 -- Sébastien Noel <sebastien@twolife.be>  Tue, 19 Aug 2025 09:37:27 +0200
