=== debian/watch ===
version=4
opts="pgpmode=auto,searchmode=plain,\
filenamemangle=s%v?@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|a|b)\d*)$/$1~$2/" \
https://api.github.com/repos/eggheads/eggdrop/releases?per_page=50 \
https://github.com/eggheads/eggdrop/releases/download/v(?:\d[\d.a-zA-Z]*)/@PACKAGE@-@ANY_VERSION@.tar.gz
